Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.opengl.awt
Interface AWTGLAutoDrawable

All Superinterfaces:
  ComponentEvents, GLAutoDrawable, GLDrawable

All Known Implementing Classes:
  GLCanvas, GLJPanel

    public interface AWTGLAutoDrawable

extends GLAutoDrawable, ComponentEvents

Field Summary

Fields inherited from interface javax.media.opengl.GLAutoDrawable
`SCREEN_CHANGE_ACTION_ENABLED`

Method Summary
`void` | `repaint()` Schedules a repaint of the component at some point in the future.
`void` | `setSize(int width, int height)` Requests a new width and height for this AWTGLAutoDrawable.

Methods inherited from interface javax.media.opengl.GLAutoDrawable
`addGLEventListener, destroy, display, getAutoSwapBufferMode, getContext, getGL, removeGLEventListener, setAutoSwapBufferMode, setContext, setGL`

Methods inherited from interface javax.media.opengl.GLDrawable
`createContext, getChosenGLCapabilities, getFactory, getGLProfile, getHeight, getNativeWindow, getWidth, setRealized, swapBuffers, toString`

Methods inherited from interface javax.media.opengl.awt.ComponentEvents
`addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addPropertyChangeListener, addPropertyChangeListener, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener`

Method Detail

### setSize

    void setSize(int width,
                 int height)

  Requests a new width and height for this AWTGLAutoDrawable.

### repaint

    void repaint()

  Schedules a repaint of the component at some point in the future.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.